%global pypi_name podman
%global pypi_dist %(echo %{version} | cut -d. -f1)

Summary:    RESTful API for Podman
Name:       python-%{pypi_name}
Version:    4.6.0
Release:    1%{?dist}
License:    ASL 2.0
URL:        https://github.com/containers/%{pypi_name}-py
Source0:    %{pypi_source}
BuildArch:  noarch

%description
%{name} is a library of bindings to use the RESTful API for Podman.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary: RESTful API for Podman
BuildRequires: git-core
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: pyproject-rpm-macros
BuildRequires: python%{python3_pkgversion}-requests
BuildRequires: python%{python3_pkgversion}-toml
Requires: python%{python3_pkgversion}-requests
Requires: python%{python3_pkgversion}-toml
Provides: %{pypi_name}-py = %{version}-%{release}
Provides: python%{python3_pkgversion}dist(%{pypi_name}) = %{pypi_dist}
Provides: python%{python3_version}dist(%{pypi_name}) = %{pypi_dist}
Provides: python%{python3_pkgversion}-%{pypi_name}-api = %{version}-%{release}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{name} is a library of bindings to use the RESTful API for Podman.



%prep
%autosetup -Sgit -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}



%build
export PBR_VERSION="0.0.0"
%pyproject_wheel



%install
export PBR_VERSION="0.0.0"
%pyproject_install
%pyproject_save_files %{pypi_name}



%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Sat Oct 07 2023 kianli <kianli@tencent.com> - 4.6.0-1
- Upgrade to 4.6.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 kianli <kianli@tencent.com> - 4.5.1-1
- Upgrade to 4.5.1 and fix Source0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 rockerzhu <rockerzhu@tencent.com> - 4.4.1-1
- Update to 4.4.1

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 4.3.0-2
- remove README.md

* Tue Nov 29 2022 Zhao Zhen <jeremiazhao@tencent.com> 4.3.0-1
- initial
